import type { FunctionalComponent as FC } from '../../stencil-public-runtime';
import type { JSXBase } from '../../stencil-public-runtime';
import type { HeadingLevel, IconsPropType } from '../../schema';
type ClassType = string | {
    [className: string]: boolean;
};
export type CollapsibleProps = Omit<JSXBase.HTMLAttributes<HTMLElement>, 'id'> & {
    id: string;
    open?: boolean;
    disabled?: boolean;
    level?: HeadingLevel;
    label: string;
    HeadingProps?: {
        ref?: ((elm?: HTMLElement | undefined) => void) | undefined;
        class?: ClassType;
    };
    HeadingButtonProps?: {
        ref?: ((elm?: HTMLKolButtonWcElement | undefined) => void) | undefined;
        class?: ClassType;
        _icons?: IconsPropType;
    };
    ContentProps?: {
        class?: ClassType;
        animationClass?: ClassType;
        wrapperClass?: ClassType;
    };
};
declare const KolCollapsibleFc: FC<CollapsibleProps>;
export default KolCollapsibleFc;
