import { type FunctionalComponent as FC } from '../../stencil-public-runtime';
import type { JSXBase } from '../../stencil-public-runtime';
import { type AlignPropType, type LabelAlignPropType, type InternMsgPropType } from '../../schema';
export type FieldControlProps = Omit<JSXBase.HTMLAttributes<HTMLElement>, 'id'> & {
    id: string;
    hint?: string;
    label: string;
    hideLabel?: boolean;
    labelAlign?: LabelAlignPropType;
    accessKey?: string;
    shortKey?: string;
    tooltipAlign?: AlignPropType;
    disabled?: boolean;
    msg?: InternMsgPropType;
    touched?: boolean;
    required?: boolean;
    readonly?: boolean;
    showTooltip?: boolean;
    renderNoLabel?: boolean;
    renderNoHint?: boolean;
    renderNoTooltip?: boolean;
    fieldControlLabelProps?: JSXBase.HTMLAttributes<Omit<HTMLLabelElement | HTMLLegendElement, 'id' | 'hidden' | 'htmlFor'>> & {
        component?: 'label' | 'legend';
        showBadge?: boolean;
    };
    fieldControlInputProps?: JSXBase.HTMLAttributes<HTMLDivElement>;
    fieldControlTooltipProps?: Pick<JSXBase.HTMLAttributes<HTMLElement>, 'class'>;
    fieldControlHintProps?: JSXBase.HTMLAttributes<HTMLElement>;
};
declare const KolFieldControlFc: FC<FieldControlProps>;
export default KolFieldControlFc;
