import type { Generic } from 'adopted-style-sheets';
import type { AlertProps, InternalAlertProps } from '../components';
import type { Stringified } from '../types';
export type MsgPropType = AlertProps & {
    _description: string;
};
export type InternMsgPropType = Partial<InternalAlertProps & {
    description: string;
}>;
export type PropMsg = {
    msg: MsgPropType;
};
export declare const validateMsg: (component: Generic.Element.Component, value?: Stringified<MsgPropType>) => void;
export declare function isMsgEmpty(msg?: MsgPropType): boolean;
export declare function convertMsgToInternMsg(msg?: MsgPropType): InternMsgPropType | undefined;
export declare function checkHasError(msg?: InternMsgPropType, touched?: boolean): boolean;
