import type { EventCallback, EventValueOrEventCallback } from '../callbacks';
import type { Callback } from '../../enums';
export declare const inputTypeOnOffOptions: readonly ["on", "off"];
export type InputTypeOnOff = (typeof inputTypeOnOffOptions)[number];
type InputTypeOnBlur = {
    [Callback.onBlur]?: EventCallback<Event>;
};
type InputTypeOnClick = {
    [Callback.onClick]?: EventCallback<Event>;
};
type InputTypeOnChange = {
    [Callback.onChange]?: EventValueOrEventCallback<Event, unknown>;
};
type InputTypeOnFocus = {
    [Callback.onFocus]?: EventCallback<Event>;
};
type InputTypeOnInput = {
    [Callback.onInput]?: EventValueOrEventCallback<Event, unknown>;
};
export type Option<T> = {
    disabled?: boolean;
    label: string | number;
    value: T;
};
export type RadioOption<T> = Option<T> & {
    hint?: string;
};
export type Optgroup<T> = {
    disabled?: boolean;
    label: string;
    options: Option<T>[];
};
export type SelectOption<T> = Option<T> | Optgroup<T> | RadioOption<T>;
export type InputTypeOnDefault = InputTypeOnBlur & InputTypeOnClick & InputTypeOnChange & InputTypeOnFocus & InputTypeOnInput;
export {};
